<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for currentConfig StructType
 * Meta information extracted from the WSDL
 * - documentation: This tag is valid only for a get deviceprofile response.It contains Extension Mobility related parameters for a device when a user is logged in using a user defined device profile.If no user is logged in,the original device
 * information for these parameters is returned. | This tag is valid only for a get phone response.It contains Extension Mobility related parameters for a device when a user is logged in using a user defined device profile.If no user is logged in,the
 * original device information for these parameters is returned.
 * @subpackage Structs
 */
class CurrentConfig extends AbstractStructBase
{
    /**
     * The userHoldMohAudioSourceId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userHoldMohAudioSourceId;
    /**
     * The phoneTemplateName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $phoneTemplateName;
    /**
     * The mlppDomainId
     * Meta information extracted from the WSDL
     * - documentation: This setting only effects devices that support MLPP. Use -1 to set to null
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $mlppDomainId;
    /**
     * The mlppIndicationStatus
     * Meta information extracted from the WSDL
     * - documentation: This setting only affects devices that support MLPP.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $mlppIndicationStatus;
    /**
     * The preemption
     * Meta information extracted from the WSDL
     * - documentation: This setting only affects devices that support MLPP.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $preemption;
    /**
     * The softkeyTemplateName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $softkeyTemplateName;
    /**
     * The ignorePresentationIndicators
     * Meta information extracted from the WSDL
     * - documentation: The new Ignore Presentation Indicators flag for Hospitality feature is required for most phones andand device profiles. Not Nullable.
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $ignorePresentationIndicators;
    /**
     * The singleButtonBarge
     * Meta information extracted from the WSDL
     * - documentation: This tag is valid only for devices that support SBB.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $singleButtonBarge;
    /**
     * The joinAcrossLines
     * Meta information extracted from the WSDL
     * - documentation: This tag is valid only for devices that support JAL..
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $joinAcrossLines;
    /**
     * The callInfoPrivacyStatus
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $callInfoPrivacyStatus;
    /**
     * The dndStatus
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $dndStatus;
    /**
     * The dndRingSetting
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dndRingSetting;
    /**
     * The dndOption
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dndOption;
    /**
     * The alwaysUsePrimeLine
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $alwaysUsePrimeLine;
    /**
     * The alwaysUsePrimeLineForVoiceMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $alwaysUsePrimeLineForVoiceMessage;
    /**
     * The emccCallingSearchSpaceName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $emccCallingSearchSpaceName;
    /**
     * The deviceName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceName;
    /**
     * The model
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $model;
    /**
     * The product
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $product;
    /**
     * The deviceProtocol
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceProtocol;
    /**
     * The class
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $class;
    /**
     * The addressMode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $addressMode;
    /**
     * The allowAutoConfig
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $allowAutoConfig;
    /**
     * The remoteSrstOption
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteSrstOption;
    /**
     * The remoteSrstIp
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 15
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteSrstIp;
    /**
     * The remoteSrstPort
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteSrstPort;
    /**
     * The remoteSipSrstIp
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 15
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteSipSrstIp;
    /**
     * The remoteSipSrstPort
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteSipSrstPort;
    /**
     * The geolocationInfo
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 2048
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $geolocationInfo;
    /**
     * The remoteLocationName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $remoteLocationName;
    /**
     * Constructor method for currentConfig
     * @uses CurrentConfig::setUserHoldMohAudioSourceId()
     * @uses CurrentConfig::setPhoneTemplateName()
     * @uses CurrentConfig::setMlppDomainId()
     * @uses CurrentConfig::setMlppIndicationStatus()
     * @uses CurrentConfig::setPreemption()
     * @uses CurrentConfig::setSoftkeyTemplateName()
     * @uses CurrentConfig::setIgnorePresentationIndicators()
     * @uses CurrentConfig::setSingleButtonBarge()
     * @uses CurrentConfig::setJoinAcrossLines()
     * @uses CurrentConfig::setCallInfoPrivacyStatus()
     * @uses CurrentConfig::setDndStatus()
     * @uses CurrentConfig::setDndRingSetting()
     * @uses CurrentConfig::setDndOption()
     * @uses CurrentConfig::setAlwaysUsePrimeLine()
     * @uses CurrentConfig::setAlwaysUsePrimeLineForVoiceMessage()
     * @uses CurrentConfig::setEmccCallingSearchSpaceName()
     * @uses CurrentConfig::setDeviceName()
     * @uses CurrentConfig::setModel()
     * @uses CurrentConfig::setProduct()
     * @uses CurrentConfig::setDeviceProtocol()
     * @uses CurrentConfig::setClass()
     * @uses CurrentConfig::setAddressMode()
     * @uses CurrentConfig::setAllowAutoConfig()
     * @uses CurrentConfig::setRemoteSrstOption()
     * @uses CurrentConfig::setRemoteSrstIp()
     * @uses CurrentConfig::setRemoteSrstPort()
     * @uses CurrentConfig::setRemoteSipSrstIp()
     * @uses CurrentConfig::setRemoteSipSrstPort()
     * @uses CurrentConfig::setGeolocationInfo()
     * @uses CurrentConfig::setRemoteLocationName()
     * @param string $userHoldMohAudioSourceId
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $phoneTemplateName
     * @param string $mlppDomainId
     * @param string $mlppIndicationStatus
     * @param string $preemption
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $softkeyTemplateName
     * @param string $ignorePresentationIndicators
     * @param string $singleButtonBarge
     * @param string $joinAcrossLines
     * @param string $callInfoPrivacyStatus
     * @param string $dndStatus
     * @param string $dndRingSetting
     * @param string $dndOption
     * @param string $alwaysUsePrimeLine
     * @param string $alwaysUsePrimeLineForVoiceMessage
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $emccCallingSearchSpaceName
     * @param string $deviceName
     * @param string $model
     * @param string $product
     * @param string $deviceProtocol
     * @param string $class
     * @param string $addressMode
     * @param string $allowAutoConfig
     * @param string $remoteSrstOption
     * @param string $remoteSrstIp
     * @param string $remoteSrstPort
     * @param string $remoteSipSrstIp
     * @param string $remoteSipSrstPort
     * @param string $geolocationInfo
     * @param string $remoteLocationName
     */
    public function __construct($userHoldMohAudioSourceId = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $phoneTemplateName = null, $mlppDomainId = null, $mlppIndicationStatus = null, $preemption = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $softkeyTemplateName = null, $ignorePresentationIndicators = null, $singleButtonBarge = null, $joinAcrossLines = null, $callInfoPrivacyStatus = null, $dndStatus = null, $dndRingSetting = null, $dndOption = null, $alwaysUsePrimeLine = null, $alwaysUsePrimeLineForVoiceMessage = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $emccCallingSearchSpaceName = null, $deviceName = null, $model = null, $product = null, $deviceProtocol = null, $class = null, $addressMode = null, $allowAutoConfig = null, $remoteSrstOption = null, $remoteSrstIp = null, $remoteSrstPort = null, $remoteSipSrstIp = null, $remoteSipSrstPort = null, $geolocationInfo = null, $remoteLocationName = null)
    {
        $this
            ->setUserHoldMohAudioSourceId($userHoldMohAudioSourceId)
            ->setPhoneTemplateName($phoneTemplateName)
            ->setMlppDomainId($mlppDomainId)
            ->setMlppIndicationStatus($mlppIndicationStatus)
            ->setPreemption($preemption)
            ->setSoftkeyTemplateName($softkeyTemplateName)
            ->setIgnorePresentationIndicators($ignorePresentationIndicators)
            ->setSingleButtonBarge($singleButtonBarge)
            ->setJoinAcrossLines($joinAcrossLines)
            ->setCallInfoPrivacyStatus($callInfoPrivacyStatus)
            ->setDndStatus($dndStatus)
            ->setDndRingSetting($dndRingSetting)
            ->setDndOption($dndOption)
            ->setAlwaysUsePrimeLine($alwaysUsePrimeLine)
            ->setAlwaysUsePrimeLineForVoiceMessage($alwaysUsePrimeLineForVoiceMessage)
            ->setEmccCallingSearchSpaceName($emccCallingSearchSpaceName)
            ->setDeviceName($deviceName)
            ->setModel($model)
            ->setProduct($product)
            ->setDeviceProtocol($deviceProtocol)
            ->setClass($class)
            ->setAddressMode($addressMode)
            ->setAllowAutoConfig($allowAutoConfig)
            ->setRemoteSrstOption($remoteSrstOption)
            ->setRemoteSrstIp($remoteSrstIp)
            ->setRemoteSrstPort($remoteSrstPort)
            ->setRemoteSipSrstIp($remoteSipSrstIp)
            ->setRemoteSipSrstPort($remoteSipSrstPort)
            ->setGeolocationInfo($geolocationInfo)
            ->setRemoteLocationName($remoteLocationName);
    }
    /**
     * Get userHoldMohAudioSourceId value
     * @return string|null
     */
    public function getUserHoldMohAudioSourceId()
    {
        return $this->userHoldMohAudioSourceId;
    }
    /**
     * Set userHoldMohAudioSourceId value
     * @param string $userHoldMohAudioSourceId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setUserHoldMohAudioSourceId($userHoldMohAudioSourceId = null)
    {
        $this->userHoldMohAudioSourceId = $userHoldMohAudioSourceId;
        return $this;
    }
    /**
     * Get phoneTemplateName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getPhoneTemplateName()
    {
        return $this->phoneTemplateName;
    }
    /**
     * Set phoneTemplateName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $phoneTemplateName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setPhoneTemplateName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $phoneTemplateName = null)
    {
        $this->phoneTemplateName = $phoneTemplateName;
        return $this;
    }
    /**
     * Get mlppDomainId value
     * @return string|null
     */
    public function getMlppDomainId()
    {
        return $this->mlppDomainId;
    }
    /**
     * Set mlppDomainId value
     * @param string $mlppDomainId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setMlppDomainId($mlppDomainId = null)
    {
        $this->mlppDomainId = $mlppDomainId;
        return $this;
    }
    /**
     * Get mlppIndicationStatus value
     * @return string|null
     */
    public function getMlppIndicationStatus()
    {
        return $this->mlppIndicationStatus;
    }
    /**
     * Set mlppIndicationStatus value
     * @param string $mlppIndicationStatus
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setMlppIndicationStatus($mlppIndicationStatus = null)
    {
        $this->mlppIndicationStatus = $mlppIndicationStatus;
        return $this;
    }
    /**
     * Get preemption value
     * @return string|null
     */
    public function getPreemption()
    {
        return $this->preemption;
    }
    /**
     * Set preemption value
     * @param string $preemption
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setPreemption($preemption = null)
    {
        $this->preemption = $preemption;
        return $this;
    }
    /**
     * Get softkeyTemplateName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getSoftkeyTemplateName()
    {
        return $this->softkeyTemplateName;
    }
    /**
     * Set softkeyTemplateName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $softkeyTemplateName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setSoftkeyTemplateName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $softkeyTemplateName = null)
    {
        $this->softkeyTemplateName = $softkeyTemplateName;
        return $this;
    }
    /**
     * Get ignorePresentationIndicators value
     * @return string|null
     */
    public function getIgnorePresentationIndicators()
    {
        return $this->ignorePresentationIndicators;
    }
    /**
     * Set ignorePresentationIndicators value
     * @param string $ignorePresentationIndicators
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setIgnorePresentationIndicators($ignorePresentationIndicators = null)
    {
        $this->ignorePresentationIndicators = $ignorePresentationIndicators;
        return $this;
    }
    /**
     * Get singleButtonBarge value
     * @return string|null
     */
    public function getSingleButtonBarge()
    {
        return $this->singleButtonBarge;
    }
    /**
     * Set singleButtonBarge value
     * @param string $singleButtonBarge
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setSingleButtonBarge($singleButtonBarge = null)
    {
        $this->singleButtonBarge = $singleButtonBarge;
        return $this;
    }
    /**
     * Get joinAcrossLines value
     * @return string|null
     */
    public function getJoinAcrossLines()
    {
        return $this->joinAcrossLines;
    }
    /**
     * Set joinAcrossLines value
     * @param string $joinAcrossLines
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setJoinAcrossLines($joinAcrossLines = null)
    {
        $this->joinAcrossLines = $joinAcrossLines;
        return $this;
    }
    /**
     * Get callInfoPrivacyStatus value
     * @return string|null
     */
    public function getCallInfoPrivacyStatus()
    {
        return $this->callInfoPrivacyStatus;
    }
    /**
     * Set callInfoPrivacyStatus value
     * @param string $callInfoPrivacyStatus
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setCallInfoPrivacyStatus($callInfoPrivacyStatus = null)
    {
        $this->callInfoPrivacyStatus = $callInfoPrivacyStatus;
        return $this;
    }
    /**
     * Get dndStatus value
     * @return string|null
     */
    public function getDndStatus()
    {
        return $this->dndStatus;
    }
    /**
     * Set dndStatus value
     * @param string $dndStatus
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setDndStatus($dndStatus = null)
    {
        $this->dndStatus = $dndStatus;
        return $this;
    }
    /**
     * Get dndRingSetting value
     * @return string|null
     */
    public function getDndRingSetting()
    {
        return $this->dndRingSetting;
    }
    /**
     * Set dndRingSetting value
     * @param string $dndRingSetting
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setDndRingSetting($dndRingSetting = null)
    {
        $this->dndRingSetting = $dndRingSetting;
        return $this;
    }
    /**
     * Get dndOption value
     * @return string|null
     */
    public function getDndOption()
    {
        return $this->dndOption;
    }
    /**
     * Set dndOption value
     * @param string $dndOption
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setDndOption($dndOption = null)
    {
        $this->dndOption = $dndOption;
        return $this;
    }
    /**
     * Get alwaysUsePrimeLine value
     * @return string|null
     */
    public function getAlwaysUsePrimeLine()
    {
        return $this->alwaysUsePrimeLine;
    }
    /**
     * Set alwaysUsePrimeLine value
     * @param string $alwaysUsePrimeLine
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setAlwaysUsePrimeLine($alwaysUsePrimeLine = null)
    {
        $this->alwaysUsePrimeLine = $alwaysUsePrimeLine;
        return $this;
    }
    /**
     * Get alwaysUsePrimeLineForVoiceMessage value
     * @return string|null
     */
    public function getAlwaysUsePrimeLineForVoiceMessage()
    {
        return $this->alwaysUsePrimeLineForVoiceMessage;
    }
    /**
     * Set alwaysUsePrimeLineForVoiceMessage value
     * @param string $alwaysUsePrimeLineForVoiceMessage
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setAlwaysUsePrimeLineForVoiceMessage($alwaysUsePrimeLineForVoiceMessage = null)
    {
        $this->alwaysUsePrimeLineForVoiceMessage = $alwaysUsePrimeLineForVoiceMessage;
        return $this;
    }
    /**
     * Get emccCallingSearchSpaceName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getEmccCallingSearchSpaceName()
    {
        return $this->emccCallingSearchSpaceName;
    }
    /**
     * Set emccCallingSearchSpaceName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $emccCallingSearchSpaceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setEmccCallingSearchSpaceName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $emccCallingSearchSpaceName = null)
    {
        $this->emccCallingSearchSpaceName = $emccCallingSearchSpaceName;
        return $this;
    }
    /**
     * Get deviceName value
     * @return string|null
     */
    public function getDeviceName()
    {
        return $this->deviceName;
    }
    /**
     * Set deviceName value
     * @param string $deviceName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setDeviceName($deviceName = null)
    {
        $this->deviceName = $deviceName;
        return $this;
    }
    /**
     * Get model value
     * @return string|null
     */
    public function getModel()
    {
        return $this->model;
    }
    /**
     * Set model value
     * @param string $model
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setModel($model = null)
    {
        $this->model = $model;
        return $this;
    }
    /**
     * Get product value
     * @return string|null
     */
    public function getProduct()
    {
        return $this->product;
    }
    /**
     * Set product value
     * @param string $product
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setProduct($product = null)
    {
        $this->product = $product;
        return $this;
    }
    /**
     * Get deviceProtocol value
     * @return string|null
     */
    public function getDeviceProtocol()
    {
        return $this->deviceProtocol;
    }
    /**
     * Set deviceProtocol value
     * @param string $deviceProtocol
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setDeviceProtocol($deviceProtocol = null)
    {
        $this->deviceProtocol = $deviceProtocol;
        return $this;
    }
    /**
     * Get class value
     * @return string|null
     */
    public function getClass()
    {
        return $this->class;
    }
    /**
     * Set class value
     * @param string $class
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setClass($class = null)
    {
        $this->class = $class;
        return $this;
    }
    /**
     * Get addressMode value
     * @return string|null
     */
    public function getAddressMode()
    {
        return $this->addressMode;
    }
    /**
     * Set addressMode value
     * @param string $addressMode
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setAddressMode($addressMode = null)
    {
        $this->addressMode = $addressMode;
        return $this;
    }
    /**
     * Get allowAutoConfig value
     * @return string|null
     */
    public function getAllowAutoConfig()
    {
        return $this->allowAutoConfig;
    }
    /**
     * Set allowAutoConfig value
     * @param string $allowAutoConfig
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setAllowAutoConfig($allowAutoConfig = null)
    {
        $this->allowAutoConfig = $allowAutoConfig;
        return $this;
    }
    /**
     * Get remoteSrstOption value
     * @return string|null
     */
    public function getRemoteSrstOption()
    {
        return $this->remoteSrstOption;
    }
    /**
     * Set remoteSrstOption value
     * @param string $remoteSrstOption
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setRemoteSrstOption($remoteSrstOption = null)
    {
        $this->remoteSrstOption = $remoteSrstOption;
        return $this;
    }
    /**
     * Get remoteSrstIp value
     * @return string|null
     */
    public function getRemoteSrstIp()
    {
        return $this->remoteSrstIp;
    }
    /**
     * Set remoteSrstIp value
     * @param string $remoteSrstIp
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setRemoteSrstIp($remoteSrstIp = null)
    {
        $this->remoteSrstIp = $remoteSrstIp;
        return $this;
    }
    /**
     * Get remoteSrstPort value
     * @return string|null
     */
    public function getRemoteSrstPort()
    {
        return $this->remoteSrstPort;
    }
    /**
     * Set remoteSrstPort value
     * @param string $remoteSrstPort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setRemoteSrstPort($remoteSrstPort = null)
    {
        $this->remoteSrstPort = $remoteSrstPort;
        return $this;
    }
    /**
     * Get remoteSipSrstIp value
     * @return string|null
     */
    public function getRemoteSipSrstIp()
    {
        return $this->remoteSipSrstIp;
    }
    /**
     * Set remoteSipSrstIp value
     * @param string $remoteSipSrstIp
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setRemoteSipSrstIp($remoteSipSrstIp = null)
    {
        $this->remoteSipSrstIp = $remoteSipSrstIp;
        return $this;
    }
    /**
     * Get remoteSipSrstPort value
     * @return string|null
     */
    public function getRemoteSipSrstPort()
    {
        return $this->remoteSipSrstPort;
    }
    /**
     * Set remoteSipSrstPort value
     * @param string $remoteSipSrstPort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setRemoteSipSrstPort($remoteSipSrstPort = null)
    {
        $this->remoteSipSrstPort = $remoteSipSrstPort;
        return $this;
    }
    /**
     * Get geolocationInfo value
     * @return string|null
     */
    public function getGeolocationInfo()
    {
        return $this->geolocationInfo;
    }
    /**
     * Set geolocationInfo value
     * @param string $geolocationInfo
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setGeolocationInfo($geolocationInfo = null)
    {
        $this->geolocationInfo = $geolocationInfo;
        return $this;
    }
    /**
     * Get remoteLocationName value
     * @return string|null
     */
    public function getRemoteLocationName()
    {
        return $this->remoteLocationName;
    }
    /**
     * Set remoteLocationName value
     * @param string $remoteLocationName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\CurrentConfig
     */
    public function setRemoteLocationName($remoteLocationName = null)
    {
        $this->remoteLocationName = $remoteLocationName;
        return $this;
    }
}
